Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.constraint
Class LongConstraintOccurrence

    java.lang.Object
      org.optaplanner.core.impl.score.constraint.ConstraintOccurrence
          org.optaplanner.core.impl.score.constraint.LongConstraintOccurrence

All Implemented Interfaces:
  Serializable, Comparable<ConstraintOccurrence>

Deprecated.

    @Deprecated
    public class LongConstraintOccurrence

extends ConstraintOccurrence

See Also:
  Serialized Form

Field Summary
`protected long` | `weight` Deprecated.

Fields inherited from class org.optaplanner.core.impl.score.constraint.ConstraintOccurrence
`causes, constraintType, ruleId`

Constructor Summary
`LongConstraintOccurrence(String ruleId, ConstraintType constraintType, long weight, Object... causes)` Deprecated.
`LongConstraintOccurrence(String ruleId, ConstraintType constraintType, Object... causes)` Deprecated.
`LongConstraintOccurrence(String ruleId, long weight, Object... causes)` Deprecated.
`LongConstraintOccurrence(String ruleId, Object... causes)` Deprecated.

Method Summary
`boolean` | `equals(Object o)` Deprecated.
`long` | `getWeight()` Deprecated.
`int` | `hashCode()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class org.optaplanner.core.impl.score.constraint.ConstraintOccurrence
`compareTo, getCauses, getConstraintType, getRuleId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### weight

    protected long weight

  Deprecated.

Constructor Detail

### LongConstraintOccurrence

    public LongConstraintOccurrence(String ruleId,
                                    Object... causes)

  Deprecated.

### LongConstraintOccurrence

    public LongConstraintOccurrence(String ruleId,
                                    ConstraintType constraintType,
                                    Object... causes)

  Deprecated.

### LongConstraintOccurrence

    public LongConstraintOccurrence(String ruleId,
                                    long weight,
                                    Object... causes)

  Deprecated.

### LongConstraintOccurrence

    public LongConstraintOccurrence(String ruleId,
                                    ConstraintType constraintType,
                                    long weight,
                                    Object... causes)

  Deprecated.

Method Detail

### getWeight

    public long getWeight()

  Deprecated.

### equals

    public boolean equals(Object o)

  Deprecated.
  Overrides:
    `equals` in class `ConstraintOccurrence`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `ConstraintOccurrence`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `ConstraintOccurrence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.